function eegData = channel_subset_and_re_reference_to_included_reference(mr, accumulatedDataframes)

% select channel subset
eegData = mr.accumulatedData(mr.eeg.channelOffset + mr.eeg.channelNumbers,accumulatedDataframes);


% re-reference
if strcmp(mr.eeg.referenceChannel, 'average')
    % average referece
    
    % using a for loop was faster here (5 s vs. 6.5 s for the whole function) as repmat would create a new matrix
    % every time.
    goodChannels = setdiff(1:size(eegData,1), mr.eeg.badChannels); % not sure if this is a good idea, because of DC offsets..
    meanEegData = mean(eegData(goodChannels,:),1);
    
    for i=1:size(eegData, 1)
        eegData(i, :) = eegData(i,:) - meanEegData;
    end;
    
else
    % re-reference to one channel, faster to use for than repmat
    
    for i=1:size(eegData, 1)
        eegData(i, :) = eegData(i,:) - eegData(activeReferenceChannel,:);
    end;
 
   eegData(activeReferenceChannel,:) = []; % delete the reference channel after re-referncing
end;

end