function circularBuffer = circular_buffer_init(bufferLength, bufferDimension)
% circularBuffer = circular_buffer_init(bufferLength, bufferDimensions)
%
% creates a circular buffer structure. These structures are used for accumulating calculated values in MatRiver, for example IC activity is accumulated in mr.eeg.accumulatedIcActivity field by mr_raw_to_ic_activity_accumulate() function.
if nargin<2
    bufferDimension = 1;
end;

circularBuffer.startId = 1;
circularBuffer.endId = 0;
circularBuffer.length = bufferLength;
circularBuffer.buffer = nan(bufferDimension, circularBuffer.length);
circularBuffer.isFull = false;
