function bufferIndices = circular_buffer_last_frames_indices(circularBuffer, numberOfLastFrames)
% returns indices of frames in circular buffer internal 'buffer' field
% related to last n frames placed in the buffer.

if numberOfLastFrames > circular_buffer_number_of_frames(circularBuffer)
    numberOfLastFrames = circular_buffer_number_of_frames(circularBuffer);
    fprintf('Requested number of frames is more than the number of frames available in the circular buffer. A lower number of indices are returned.\n');
end;

bufferIndices =  (circularBuffer.endId - numberOfLastFrames + 1) : circularBuffer.endId;
lowerThanOne = bufferIndices < 1;
bufferIndices(lowerThanOne) = bufferIndices(lowerThanOne) + circularBuffer.length;
