function mr_accumulate_read_buffer(bufferName)
% reads and accumulates buffer data.

global mr

maximumDataToReadInEachRun = 2000; % maximum number of frames to be read in each acumulation run

bufferId = find(strcmp(mr.read.bufferName, bufferName));

if ~isempty(bufferId)
    counter = 1;
    while  counter <= maximumDataToReadInEachRun

        [r,arr_in] = ds_Read(mr.read.bufferHandle{bufferId});
        
        if r>0
            %mr.read.bufferAccumulatedData(bufferId) = circular_buffer_add(mr.read.bufferAccumulatedData(bufferId), arr_in.Data(1:arr_in.nItems)');        
            
            % mr_circular_read_buffer_add is simular to circular_buffer_add, but
            % uses the global mr variable which significantly (x5)
            % increases speed.
            mr_circular_read_buffer_add(bufferId, arr_in.Data(1:arr_in.nItems)');
            
            mr.read.numberOfFramesReceived(bufferId) = mr.read.numberOfFramesReceived(bufferId) + 1;
        else
            break;
        end;
        counter = counter + 1;
    end
else
    fprintf('DataRiver buffer ''%s'' does not exist, so it cannot be read.\n', bufferName);
end;
