function mr_close_read_buffer(bufferName)

global mr;

% close main DataRiver buffer
if exist('ds_closeRead', 'file') && exist('mr', 'var') && isfield(mr, 'readbufferHandle') && ~isempty(mr.readbufferHandle)
    ds_CloseRead(mr.readbufferHandle);
    fprintf('DataRiver buffer handle closed.\n');
    mr.readbufferHandle = [];
end;

% exist if the field mr.read does not exist at all (which means there
% are no read buffers to close)
if ~isfield(mr, 'read') 
    return;
end;

if nargin<1 % close all read buffers if no buffername is given
    for i=1:length(mr.read.bufferHandle)
        ds_Closeread(mr.read.bufferHandle{i})
    end;
    
    % clear all buffers
    mr.read.bufferName = {};
    mr.read.bufferSamplingRate = [];
    mr.read.bufferHandle = [];
    mr.read.bufferAccumulatedData = [];
    mr.read.numberOfFramesReceived = [];
    
    if mr.verboseLevel > 0
        fprintf('All DataRiver read buffer handles are closed and deleted.\n');
    end;
else
    bufferId = find(strcmp(mr.read.bufferName, bufferName));
    
    if ~isempty(bufferId)
        ds_Closeread(mr.read.bufferHandle{bufferId});
        
        % remove buffer index
        mr.read.bufferName(bufferId) = [];
        mr.read.bufferHandle(bufferId) = [];
        mr.read.bufferAccumulatedData(bufferId) = [];
        mr.read.numberOfFramesReceived(bufferId) = [];
        
        if mr.verboseLevel > 0
            fprintf('DataRiver read buffer ''%s'' is closed and deleted.\n', bufferName);
        end;
    else % no buffer with tha name existed
        if mr.verboseLevel > 0
            fprintf('No buffer with the name ''%s'' exited.\n', bufferName);
        end;
    end;
    
    
end;