function mr_init_writing(bufferName, samplingRate)

global mr;
global ds_lib;

if ~exist('ds_lib') || isempty(ds_lib)
    startup_ds;
end;


% create the field if not exist
if ~isfield(mr, 'write') || ~isfield(mr.write, 'bufferName')
    mr.write.bufferName = {};
    mr.write.bufferSamplingRate = [];
    mr.write.bufferHandle = [];
end;

% initiate buffer and create the handle to it if it does not already exist
if ~any(strcmp(mr.write.bufferName, bufferName))
    mr.write.bufferName{end + 1} = bufferName;
    mr.write.bufferSamplingRate(end + 1) = samplingRate;
    mr.write.bufferHandle{end + 1} = ds_OpenWrite(bufferName, samplingRate);
    
    if mr.verboseLevel > 0
        fprintf('DataRiver write buffer ''%s'' initiated.\n', bufferName);
    end;
else
    fprintf('Buffer was already initiated. Nothing to do.\n');
end;
