function mr_maze
global mr;

persistent wallProjectionLocation audioLocation

% if isempty(audioLocation)
%     audioLocation = vrSphere(mr.mocap.mocapWorld, [0 0 0], 0.3, true);
%     wallProjectionLocation = vrSphere(mr.mocap.mocapWorld, [0 0 0], 0.3, true);
% end;

if mr.numberOfFramesInAccumulatedData > 5
    %[closestDistance xDirection yDirection] = distance_and_direction_to_maze(mr.maze.wallCollection, mr.mocap.markerPosition);
   [closestDistance closestWallPoint] = distance_to_maze_and_closest_maze_point(mr.maze.wallCollection, mr.mocap.markerPosition);
   
   % highest marker should be the head
   [dummy headMarkerId]= max(mr.mocap.markerPosition(:,3));
   headMarkerPosition = mr.mocap.markerPosition(headMarkerId,:);
   
   % find projection of head to closest maze point and extended to the room
   % perimeter, which has the speakers
   projectedAudioPoint = mr.mocap.roomWallCollection.is_pointed_to_from(headMarkerPosition, closestWallPoint - headMarkerPosition);
   projectedAudioPoint(3) = 0;
   
%    audioLocation.transformNode.translation = projectedAudioPoint;
%    wallProjectionLocation.transformNode.translation = closestWallPoint;
   
   proximityDistance = 0.6;
    
    if closestDistance > proximityDistance
        valueToSend = 0;
    else
        valueToSend = 127 * ((proximityDistance-closestDistance)/proximityDistance)^1;
    end;
    
    projectedAudioPoint = projectedAudioPoint * 1000; % 1000 is to convertng from meter to mm
   
    angleForInRoom = rad2deg(atan2(-projectedAudioPoint(2), projectedAudioPoint(1))); % x and y are swapped since spat uses angle to y axis
    % [0  -projectedAudioPoint(2) projectedAudioPoint(1) valueToSend]'
    %mr_write_buffer('/tmp/maze', [0  -projectedAudioPoint(2) projectedAudioPoint(1) valueToSend]');
    mr_write_buffer('/tmp/maze', [0  0 angleForInRoom valueToSend]');
end;

