function mr_record_lag(doReset)
% records the execution lag. This is the difference between the number of
% data frames currently in the accumulated data and the number of frames
% that should have been received based on the time the session started and
% the data sampling rate. These lags are recorded in the  mr.executionLag
% field (in seconds) which can be used to monitor the performance of the system.


global mr
persistent counter timeAtStart

if nargin<1
    doReset = false;
end;

if doReset || (mr.numberOfFramesReceived == 0)
    counter = 1;    
    timeAtStart = tic;
    mr.executionLag = [];
else
    if mr.readFromDataRiver
       mr.executionLag(counter) = toc(timeAtStart)-(mr.numberOfFramesReceived/mr.samplingRate);
    else
       mr.executionLag(counter) = mr.simulation.speedFactor * toc(timeAtStart)-(mr.numberOfFramesReceived/mr.samplingRate);
    end;
    counter= counter+1;
end;
