function mr_view_mocap
global mr

if mr.numberOfFramesInAccumulatedData > 0
    if isnan(mr.mocap.lastChannel) % nan for lastChannel means that all channels after firstChannel are mocap, this is useful for when the actual number is not know a priori
        mocapChannels = mr.mocap.firstChannel : mr.numberOfChannelsInAccumulatedData;
    else
        mocapChannels = mr.mocap.firstChannel : mr.mocap.lastChannel;
    end;
    
    data = mr.accumulatedData(mocapChannels, mr.numberOfFramesInAccumulatedData);
    channelOffset = 0;
    
    maxChan = channelOffset + floor((length(data) - channelOffset)/3) * 3;
    zs = double(data((2+channelOffset):3:maxChan));
    ys = double(data((1+channelOffset):3:maxChan));
    xs = double(data((3+channelOffset):3:maxChan));
    
    invalidChannelId = find(abs(xs) + abs(ys) + abs(zs) < 10);
    invalidChannelId = union(invalidChannelId, find(isnan(xs)));
    % put invalid points really far, for now
    zs(invalidChannelId) = -100000;
    
    zOffset = 0;
    vr_show_mocap_markers(xs, ys, zs, zOffset, 'label','off', 'markerSize', 0.15);
    
    mr.mocap.markerPosition = [xs, ys, zs] / 1000; % n x 3, in meters
end;