function mr_write_buffer(bufferName, data)
% write data (channels, frames) in a buffer. Please notice that ONLY
% INTEGER VALUES can be written into a buffer (double values are
% automatically trunced). Also, if timing relative to DataRiver buffer is important, a stream of values
% need to be provided (instead of few values in irregular intervals). You
% may send zeros in regular intervals (~100 ms) to achieve this.

global mr;
global ds_array;

bufferId = find(strcmp(mr.write.bufferName, bufferName), 1);

if isempty(bufferId)
    fprintf('DataRiver buffer ''%s'' does not exist, so it cannot be written into.\n', bufferName);
else
    arr_out = ds_array;
    
    % set number of output channels (sample dimension)
    arr_out.nItems = size(data, 1);
    
    for i=1:size(data, 2)
        arr_out.Data(1:arr_out.nItems)= data (:, i); 
        ds_Write(mr.write.bufferHandle{bufferId}, arr_out);
    end;
end;