% In this tutorial we read data in a simulated realtime
% manner and visualize the alphaa (10 Hz) power of a select IC.

% load mr structure prepared for this tutorial
load tutorial_mr_structure.mat;

mr.eeg.icNumbersToCalculateActivity = [22 17];


% reset the state of the function that send simulated data, this is
% necessary before starting the timer.
mr_read_simulated(true); 

% initiate 
mr_record_lag(true);


% delete all timers;
delete(timerfindall);

% define and then start the main MatRiver timer
if isempty(timerfind('tag','accumulatorTimer'))
    
    % this timer executes certain commands (specified after 'TimerFcn' key)
    % each 0.1 seconds. It does not block the command line so you can still
    % examine the variables and work with matlab while MatRiver is running.
    %accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_detect_bad_channels; mr_update_ica;mr_raw_to_ic_activity;mr_spectrum_bar;mr_record_lag','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.01,'tag','accumulatorTimer');   
    accumulatorTimer = timer('TimerFcn','mr_accumulate;mr_raw_to_ic_activity;mr_eeg_ocean_multi_band;','StartDelay',0,'ExecutionMode','fixedSpacing','Period',0.01,'tag','accumulatorTimer');   
    
    % start the timer
    start(accumulatorTimer);
end;