function image_display_callback(eventNumber)

global mr
persistent figureHandle axisHandle;

if isempty(figureHandle) || ~ishandle(figureHandle)
    figureHandle = figure;
    axisHandle = gca;
end;

% calculate frame indices for 800 ms of accumulated IC activity (in the
% circular buffer).
rangeIdsInBuffer = mr_map_frame_range_to_circular_buffer_indices([mr.event(eventNumber).latency mr.event(eventNumber).latency+204], mr.eeg.accumulatedIcActivity);
icActivity = mr.eeg.accumulatedIcActivity.buffer(1,rangeIdsInBuffer);

plot(axisHandle, 1000 * (1:length(icActivity)) / mr.samplingRate, icActivity);
ylim(axisHandle, [-6 6]);
ylabel(['IC ' num2str(mr.eeg.icNumbersToCalculateActivity(1)) ' activity'],'fontsize',16);
xlabel('Time after image presentation (ms)','fontsize',16);

